openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/STRJQ_LONGTEXT_SUGGEST:
    post:
      tags:
      - STRJ_Q
      summary: Suggest Translation of Long Text
      operationId: /rfc/STRJQ_LONGTEXT_SUGGEST
      requestBody:
        content:
          application/json:
            schema:
              properties:
                FI_SLANG:
                  type: string
                  maxLength: 1
                FI_TLANG:
                  type: string
                  maxLength: 1
                FT_SLINE:
                  type: array
                  items:
                    type: object
                    properties:
                      DOKFORMAT:
                        type: string
                        maxLength: 2
                        description: Documentation format from SAPscript
                      DOKTEXT:
                        type: string
                        maxLength: 72
                        description: Text line in the documentation module
                FT_TLINE:
                  type: array
                  items:
                    type: object
                    properties:
                      DOKFORMAT:
                        type: string
                        maxLength: 2
                        description: Documentation format from SAPscript
                      DOKTEXT:
                        type: string
                        maxLength: 72
                        description: Text line in the documentation module
              required:
              - FI_SLANG
              - FI_TLANG
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  FT_SLINE:
                    type: array
                    items:
                      type: object
                      properties:
                        DOKFORMAT:
                          type: string
                          maxLength: 2
                          description: Documentation format from SAPscript
                        DOKTEXT:
                          type: string
                          maxLength: 72
                          description: Text line in the documentation module
                  FT_TLINE:
                    type: array
                    items:
                      type: object
                      properties:
                        DOKFORMAT:
                          type: string
                          maxLength: 2
                          description: Documentation format from SAPscript
                        DOKTEXT:
                          type: string
                          maxLength: 72
                          description: Text line in the documentation module
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
